# FreshRSS role

## Notes
- Requires the postgres and podman roles to be enabled on the same host.
- Requires you to manually follow the installer
    - Set database type to postgres
    - Set database host to `host.containers.internal`
    - Set database username to `freshrss`
    - Set database password to the same value as `postgres/freshrss`
    - Set database to `freshrss`
    - Set username of the default user to the OIDC identity (username) of the desired admin user.
    - Set authentication method to HTTP.

## Options
### `freshrss.domain`
The domain used by freshrss.

## Secrets
## `freshrss/client_id`
Client id for OIDC. Obtainable from the auth provider. 

## `freshrss/client_secret`
Client secret for OIDC. Obtainable from the auth provider. 
